/*  libbadpenguin -- generic library for Bad Penguin development
 *
 *  Copyright (C) 1996 Antonio Gallo
 *  agx@linux.it
 *  
 *  Newer versions should be on www.badpenguin.org
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 */

#ifndef _UNTAR_BLOCKCACHE_H
#define _UNTAR_BLOCKCACHE_H

#include <sys/types.h>
#include <time.h>

typedef struct cache_block TCacheBlock;

struct cache_block {
  char *name;		// file name
  mode_t mode;		// permissions
  int uid;		// user id
  int gid;		// group id
  time_t mtime;		// modify time
  char type;
};

// Provided Functions
int push_block( char *target_file, TTarBlock *buffer );
int FlushCache();

#endif
